ipmi-locate causes synchronous external abort on ARM

Bug #1499838 reported by Newell Jensen on 2015-09-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
freeipmi (Debian)
Confirmed
Unknown
freeipmi (Ubuntu)
Undecided
Newell Jensen
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Newell Jensen

Bug Description

ipmi-locate throws a synchronous external abort error on Cavium Thunder crb ARM64 hardware.

A fix for this is needed because other programs, such as MAAS (where it was first noticed), rely upon it. The strace log (see attached below) shows the error.

[Test Case]

To reproduce this bug, you will need:

1. Have access to Cavium Thunder crb arm64 hardware (I have not tested this on other arm64 systems but those could work as well) and have Ubuntu with ipmi-locate installed.
2. Run the strace command as shown above.

[Regression Potential]

Although unlikely, if any regressions were to manifest it would most likely be with/without ARM systems and how these C preprocessor directives are compiled into or out of the binaries. Both x86 and arm64 systems have been tested with the patch and no regressions surfaced.

Changed in freeipmi (Ubuntu):
status: New → Confirmed
assignee: nobody → Newell Jensen (newell-jensen)
dann frazier (dannf) on 2015-09-25
Changed in freeipmi (Ubuntu Vivid):
status: New → Confirmed
Changed in freeipmi (Ubuntu Trusty):
status: New → Confirmed
Changed in freeipmi (Debian):
status: Unknown → New
Newell Jensen (newell-jensen) wrote :

Patch attached

description: updated
Newell Jensen (newell-jensen) wrote :

strace log

description: updated

The attachment "ipmi-locate.diff" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in freeipmi (Ubuntu Wily):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.1.5-3ubuntu7

---------------
freeipmi (1.1.5-3ubuntu7) wily; urgency=medium

  * Don't probe the legacy SMBIOS address in /dev/mem on ARM platforms.
    (LP: #1499838)

 -- dann frazier <email address hidden> Thu, 08 Oct 2015 15:31:28 -0600

Changed in freeipmi (Ubuntu Wily):
status: In Progress → Fix Released

Hello Newell, or anyone else affected,

Accepted freeipmi into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/freeipmi/1.1.5-3ubuntu3.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in freeipmi (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in freeipmi (Ubuntu Vivid):
status: Confirmed → Fix Committed
Chris J Arges (arges) wrote :

Hello Newell, or anyone else affected,

Accepted freeipmi into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/freeipmi/1.1.5-3ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

dann frazier (dannf) wrote :

I've verified this no longer crashes on arm64, and that the output of ipmi-locate on an x86 system (with a BMC) is identical before and after this update.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.1.5-3ubuntu3.3

---------------
freeipmi (1.1.5-3ubuntu3.3) trusty; urgency=medium

  * Don't probe the legacy SMBIOS address in /dev/mem on ARM platforms.
    (LP: #1499838)

 -- dann frazier <email address hidden> Wed, 14 Oct 2015 11:49:49 -0600

Changed in freeipmi (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for freeipmi has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freeipmi - 1.1.5-3ubuntu6.1

---------------
freeipmi (1.1.5-3ubuntu6.1) vivid; urgency=medium

  * Don't probe the legacy SMBIOS address in /dev/mem on ARM platforms.
    (LP: #1499838)

 -- dann frazier <email address hidden> Wed, 14 Oct 2015 11:45:19 -0600

Changed in freeipmi (Ubuntu Vivid):
status: Fix Committed → Fix Released
Changed in freeipmi (Debian):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.